CertificateStoreAppender (Apache Tomcat 10.1.2 API Documentation)

Package org.apache.catalina.storeconfig

## Class CertificateStoreAppender

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreAppender
  - - org.apache.catalina.storeconfig.CertificateStoreAppender

-     public class CertificateStoreAppender
      extends StoreAppender

  Store the Certificate attributes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertificateStoreAppender()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `checkAttribute​(StoreDescription desc, PropertyDescriptor descriptor, String attributeName, Object bean, Object bean2)` | Check if the attribute should be printed.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreAppender

      `defaultInstance, isPersistable, isPrintValue, printAttribute, printAttributes, printAttributes, printCloseTag, printIndent, printOpenTag, printTag, printTagArray, printTagContent, printTagValueArray, printValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateStoreAppender

          public CertificateStoreAppender()

  - ### Method Detail

    - #### checkAttribute

          protected Object checkAttribute​(StoreDescription desc,
                                          PropertyDescriptor descriptor,
                                          String attributeName,
                                          Object bean,
                                          Object bean2)

      Description copied from class: `StoreAppender`
      Check if the attribute should be printed.
      Overrides:
        `checkAttribute` in class `StoreAppender`
      Parameters:
        `desc` - RegistryDescriptor from this bean
        `descriptor` - PropertyDescriptor from this bean property
        `attributeName` - The attribute name to store
        `bean` - The current bean
        `bean2` - A default instance of the bean for comparison
      Returns:
        null if the value should be skipped, the value to print otherwise